[Unit]
Description=Optee Tee-Supplicant
Before=wifi.service

[Service]
ExecStartPre=/sbin/modprobe -q optee_armtz
ExecStart=/usr/bin/tee-supplicant
ExecStartPost=sleep 1
ExecStop=/bin/kill -KILL $MAINPID
ExecStopPost=/sbin/modprobe -r optee_armtz

[Install]
WantedBy=multi-user.target
